Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.parser
Interface PreserveAspectRatioHandler

All Known Subinterfaces:
  FragmentIdentifierHandler

All Known Implementing Classes:
  AbstractSVGPreserveAspectRatio.PreserveAspectRatioParserHandler, DefaultFragmentIdentifierHandler, DefaultPreserveAspectRatioHandler, ViewBox.ViewHandler

    public interface PreserveAspectRatioHandler

This interface must be implemented and then registred as the handler of a `PreserveAspectRatioParser` instance in order to be notified of parsing events.

Method Summary
`void` | `endPreserveAspectRatio()` Invoked when the PreserveAspectRatio parsing ends.
`void` | `meet()` Invoked when 'meet' has been parsed.
`void` | `none()` Invoked when 'none' been parsed.
`void` | `slice()` Invoked when 'slice' has been parsed.
`void` | `startPreserveAspectRatio()` Invoked when the PreserveAspectRatio parsing starts.
`void` | `xMaxYMax()` Invoked when 'xMaxYMax' has been parsed.
`void` | `xMaxYMid()` Invoked when 'xMaxYMid' has been parsed.
`void` | `xMaxYMin()` Invoked when 'xMaxYMin' has been parsed.
`void` | `xMidYMax()` Invoked when 'xMidYMax' has been parsed.
`void` | `xMidYMid()` Invoked when 'xMidYMid' has been parsed.
`void` | `xMidYMin()` Invoked when 'xMidYMin' has been parsed.
`void` | `xMinYMax()` Invoked when 'xMinYMax' has been parsed.
`void` | `xMinYMid()` Invoked when 'xMinYMid' has been parsed.
`void` | `xMinYMin()` Invoked when 'xMinYMin' has been parsed.

Method Detail

### startPreserveAspectRatio

    void startPreserveAspectRatio()
                                  throws ParseException

  Invoked when the PreserveAspectRatio parsing starts.

  Throws:
    `ParseException` - if an error occured while processing the PreserveAspectRatio

### none

    void none()
              throws ParseException

  Invoked when 'none' been parsed.

  Throws:
    `ParseException` - if an error occured while processing the PreserveAspectRatio

### xMaxYMax

    void xMaxYMax()
                  throws ParseException

  Invoked when 'xMaxYMax' has been parsed.

  Throws:
    `ParseException` - if an error occured while processing the PreserveAspectRatio

### xMaxYMid

    void xMaxYMid()
                  throws ParseException

  Invoked when 'xMaxYMid' has been parsed.

  Throws:
    `ParseException` - if an error occured while processing the PreserveAspectRatio

### xMaxYMin

    void xMaxYMin()
                  throws ParseException

  Invoked when 'xMaxYMin' has been parsed.

  Throws:
    `ParseException` - if an error occured while processing the PreserveAspectRatio

### xMidYMax

    void xMidYMax()
                  throws ParseException

  Invoked when 'xMidYMax' has been parsed.

  Throws:
    `ParseException` - if an error occured while processing the PreserveAspectRatio

### xMidYMid

    void xMidYMid()
                  throws ParseException

  Invoked when 'xMidYMid' has been parsed.

  Throws:
    `ParseException` - if an error occured while processing the PreserveAspectRatio

### xMidYMin

    void xMidYMin()
                  throws ParseException

  Invoked when 'xMidYMin' has been parsed.

  Throws:
    `ParseException` - if an error occured while processing the PreserveAspectRatio

### xMinYMax

    void xMinYMax()
                  throws ParseException

  Invoked when 'xMinYMax' has been parsed.

  Throws:
    `ParseException` - if an error occured while processing the PreserveAspectRatio

### xMinYMid

    void xMinYMid()
                  throws ParseException

  Invoked when 'xMinYMid' has been parsed.

  Throws:
    `ParseException` - if an error occured while processing the PreserveAspectRatio

### xMinYMin

    void xMinYMin()
                  throws ParseException

  Invoked when 'xMinYMin' has been parsed.

  Throws:
    `ParseException` - if an error occured while processing the PreserveAspectRatio

### meet

    void meet()
              throws ParseException

  Invoked when 'meet' has been parsed.

  Throws:
    `ParseException` - if an error occured while processing the PreserveAspectRatio

### slice

    void slice()
               throws ParseException

  Invoked when 'slice' has been parsed.

  Throws:
    `ParseException` - if an error occured while processing the PreserveAspectRatio

### endPreserveAspectRatio

    void endPreserveAspectRatio()
                                throws ParseException

  Invoked when the PreserveAspectRatio parsing ends.

  Throws:
    `ParseException` - if an error occured while processing the PreserveAspectRatio

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.